## OS

- Linux

## Requirements

- node
- ffplay

## Installation

```
npm i -g git+https://git.yanknil.com/uohlhv/lingva-tts.git
```

## Usage

```
# Speak `This is an apple.`
lingva-tts --lang en --query "This is an apple." | ffplay -f s16le -ar 48k -ac 1 -autoexit -nodisp -

# Speak `This is an apple.` (Speed up the speak tempo by 2x)
lingva-tts --lang en --query "This is an apple." | ffplay -f s16le -ar 48k -ac 1 -af "atempo=2" -autoexit -nodisp -

# Speak text from cursor selection (Require xsel, and slow down the speak tempo by 0.5x)
xsel | lingva-tts --lang en --stdin | ffplay -f s16le -ar 48k -ac 1 -af "atempo=0.5" -autoexit -nodisp -
```
